import { Button, Input, Space } from 'antd';
import { SearchOutlined } from '@ant-design/icons';
import React from 'react';
import { style } from 'dom-helpers';

export const getLocaleProps = () => ({
    filterSearchPlaceholder: 'Hledat uživatele',
    triggerDesc: 'Seřadit sestupně',
    triggerAsc: 'Seřadit vzestupně',
    cancelSort: 'Vypnout řazení',
});

const handleSearch = (
    selectedKeys: React.SetStateAction<string>[],
    confirm: () => void
) => {
    confirm();
};

const handleReset = (clearFilters: () => void) => {
    clearFilters();
};

export const getColumnSearchProps = (dataIndex: string, searchLabel: string) => ({
    // @ts-ignore
    filterDropdown: ({ setSelectedKeys, selectedKeys, confirm, clearFilters }) => (
        <div style={{ padding: 8 }}>
            <Input
                placeholder={`Vyhledat ${searchLabel}`}
                value={selectedKeys[0]}
                onChange={(e) => setSelectedKeys(e.target.value ? [e.target.value] : [])}
                onPressEnter={() => handleSearch(selectedKeys, confirm)}
                style={{ marginBottom: 8, display: 'block' }}
            />
            <Space>
                <Button
                    type="primary"
                    onClick={() => handleSearch(selectedKeys, confirm)}
                    icon={<SearchOutlined />}
                    style={{ width: 90 }}
                >
                    Hledat
                </Button>
                <Button onClick={() => handleReset(clearFilters)} style={{ width: 90 }}>
                    Smazat
                </Button>
            </Space>
        </div>
    ),
    filterIcon: (filtered: any) => (
        <SearchOutlined
            style={{ color: filtered ? '#1890ff' : '#757575', fontSize: '140%' }}
        />
    ),
    onFilter: (value: string, record: { [x: string]: { toString: () => string } }) =>
        record[dataIndex]
            ? record[dataIndex].toString().toLowerCase().includes(value.toLowerCase())
            : '',
});
